Subject: Re: bug#17408: 24.4.50; tooltips make ms-window go top

From: Eli Zaretskii <[email-masked]>
Date: Mon, 05 May 2014 16:56:01 +0300

> Date: Mon, 05 May 2014 15:40:41 +0200
> From: Jarek Czekalski <[email-masked]>
> 
> I reproduce it on Windows 7, with today's trunk. But this is not new, I
> just found a way to reproduce it, when the bucket of irritation overfilled.
> 
> 1. Start "cmd"
> 2. From cmd do "runemacs -Q"
> 3. Arrange the windows so that cmd window is on top, but below is the
> emacs window with toolbar visible.
> 4. Hover with mouse over toolbar button until tooltip appears.
> 5. Emacs windows goes top, covering cmd window. Cmd remains the active
> app, you can type some letters to confirm that.
> 
> Expected behaviour: At 5 cmd window should stay on top, being fully
> visible, not covered by Emacs window.

I remember this behavior since I don't know when.  If someone knows
how to avoid it, explanations and/or patches are welcome.

> Fix suggestion: maybe tooltips should be supressed when Emacs is not the
> active application.

Thanks, but that's not a good suggestion, IMO.  For example, I
frequently work with Emacs windows that are in the background, and
have "focus follows mouse" set so that I could type into such windows.

In any case, when the mouse is inside an Emacs frame, Emacs gets a
Windows message about that, and it should process that message; it
cannot just disregard it.  So I don't see how your suggestion could
be implemented in practice.